package com.njcn.gather.aireport.testreportmulti.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.njcn.gather.aireport.testreport.pojo.vo.TestReportVO;
import com.njcn.gather.aireport.testreportmulti.pojo.param.TestReportMultiParam;
import com.njcn.gather.aireport.testreportmulti.pojo.po.TestReportMultiPO;
import com.njcn.gather.aireport.testreportmulti.pojo.vo.TestReportMultiVO;
import com.njcn.gather.aireport.testreportmulti.pojo.vo.TestReportMultiValidateResultVO;
import org.springframework.http.ResponseEntity;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

public interface TestReportMultiService extends IService<TestReportMultiPO> {

    Page<TestReportMultiVO> list(TestReportMultiParam.QueryParam param);

    TestReportMultiValidateResultVO validateZip(MultipartFile file);

    boolean create(TestReportMultiParam.CreateParam param);

    TestReportMultiVO detail(String id);

    List<TestReportVO> listChildReports(String id);

    ResponseEntity<byte[]> download(String id);

    boolean delete(List<String> ids);

    boolean generate(String id);
}
